### Method

# Gsk PathBuilder quad_to

since: 4.14

#### Declaration [src]

    void
    gsk_path_builder_quad_to (
      GskPathBuilder* self,
      float x1,
      float y1,
      float x2,
      float y2
    )

#### Description [src]

Adds a quadratic Bézier curve from the current point to `x2`, `y2` with `x1`, `y1` as the control point.

After this, `x2`, `y2` will be the new current point.

Available since: 4.14

#### Parameters

`x1`

  Type: `float`

  X coordinate of control point.

`y1`

  Type: `float`

  Y coordinate of control point.

`x2`

  Type: `float`

  X coordinate of the end of the curve.

`y2`

  Type: `float`

  Y coordinate of the end of the curve.